commit:     8092a0f404ab8a98e9254b40b7867f5705ebdc8f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 18 04:34:01 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 04:34:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8092a0f4

dev-ruby/rubypants: add 0.6.0

Package-Manager: portage-2.3.0

 dev-ruby/rubypants/Manifest               |  1 +
 dev-ruby/rubypants/rubypants-0.6.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/rubypants/Manifest b/dev-ruby/rubypants/Manifest
index 7da2c14..aa23c21 100644
--- a/dev-ruby/rubypants/Manifest
+++ b/dev-ruby/rubypants/Manifest
@@ -1,3 +1,4 @@
 DIST rubypants-0.2.0.gem 11264 SHA256 
f07e38eac793655a0323fe91946081052341b9e69807026fcf102346589eedee SHA512 
f7efe237860e15b2ce164749973d5ef133dce1a6bc5e9429357703b321fb0af8ef4e849f8ed19ed498b6fff13e29da036bb8d379c1220d939c862aba0138a5d6
 WHIRLPOOL 
24d5d09a9959a594353b6e7ab54968483d63c843a52af562d3454e1f930cf5811d080dbc70ea7f1ac30ba2952144b7a1932920bb8bdf4c4e67cddefd3cc9ddab
 DIST rubypants-0.5.0.gem 12288 SHA256 
c673115c3cb083777ddfeea415a360cba5682887a33c50c9ad1015b81cea6e51 SHA512 
4815439c085da5b219bb8a9542433a1d22d8678ac7b783aaab826fdf9ea57246d246e1d00a57524cba213d37a975a670612d3b7397f7a72b5d0c7a0c62bac441
 WHIRLPOOL 
da86eb49bf0ac4f7553683170c4eb194a448e71bdd7f4f39a07e19a9a4b28b926048be1b93520f5011ea3aea1bd9bdf65fbc5c629346a6aeb27a16187b09a7b2
 DIST rubypants-0.5.1.gem 13312 SHA256 
6bf188eeab4941836883e2b17535d9d1233b31c1f93ba3bbd5026b6313be5684 SHA512 
50c22710628e0d9dca6b2aa51e17eaa0f63052290327b9e2401fca883300ae823442e7631bd6157c9c6cfa9f2328a97c2166f5595979ee53bd72d21b96d6b149
 WHIRLPOOL 
776486a4673bf0ca8b82425ae6eb4082f5bf81ea2a840ef0ec156b4bd8546969f6fc89bd44e46519cd5c930c02e605f3fb69634d81cdb61a21c5d48021f09fdf
+DIST rubypants-0.6.0.gem 13824 SHA256 
503b4c24ba574a6a617e5133838f6d9ab49227bd102728a8f2930baba89ef876 SHA512 
5d998bc5b19682be5590ba022eb540ba1350f661120d2916b38523a741ec6aae3f6e20825f4e72b2b1cc8200751f55c69fcf9d6b5f1ee81f214f3fea80236c14
 WHIRLPOOL 
079b36598891426fca77b9f819d2a230a85ec3504e275457a7d9f5e1281b7e0c9b1ca0184e0f9e5ea8e9bcc7893fe614d0a23abc61731277f884a0804fdd596a

diff --git a/dev-ruby/rubypants/rubypants-0.6.0.ebuild 
b/dev-ruby/rubypants/rubypants-0.6.0.ebuild
new file mode 100644
index 00000000..a94d722
--- /dev/null
+++ b/dev-ruby/rubypants/rubypants-0.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby port of the SmartyPants PHP library"
+HOMEPAGE="http://chneukirchen.org/repos/rubypants/README";
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e '/ecov/I s:^:#:' test/helper.rb || die
+}
+
+each_ruby_test() {
+       ${RUBY} -I. test/rubypants_test.rb || die "tests failed"
+}

Reply via email to